Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.actions.triple
Class TripleActionSwingAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.actions.triple.TripleActionSwingAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class TripleActionSwingAction

extends AbstractAction

A Swing Action that wraps a (generic) TripleAction.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`TripleActionSwingAction(TripleAction tripleAction, Triple triple)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`static Icon` | `getIcon(TripleAction action)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TripleActionSwingAction

    public TripleActionSwingAction(TripleAction tripleAction,
                                   Triple triple)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

### getIcon

    public static Icon getIcon(TripleAction action)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.